package com.ruoyi.poi.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.poi.domain.req.PoiBookshelfQueryReq;
import com.ruoyi.poi.domain.req.PoiBookshelfSaveReq;
import com.ruoyi.poi.domain.req.PoiBookshelfEditReq;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * POI信息对象 poi_bookshelf
 *
 * @author sun
 * @date 2025-01-03
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("poi_bookshelf")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "PoiBookshelf", description = "POI信息")
public class PoiBookshelf extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** POIID */
    @TableId(value = "poi_id",type = IdType.AUTO)
    @ApiModelProperty(name = "POIID", value = "POIID")
    private String poiId;

    /** 蜂鸟FID */
    @Excel(name = "蜂鸟FID")
    @ApiModelProperty(name = "蜂鸟FID", value = "蜂鸟FID", required = true)
    private Long fid;

    /** 图书馆编号 */
    @Excel(name = "图书馆编号")
    @ApiModelProperty(name = "图书馆编号", value = "图书馆编号")
    private Long libraryId;

    /** 楼层ID */
    @Excel(name = "楼层ID")
    @ApiModelProperty(name = "楼层ID", value = "楼层ID")
    private Long floorId;

    /** 分类ID */
    @Excel(name = "分类ID")
    @ApiModelProperty(name = "分类ID", value = "分类ID")
    private Long categoryId;

    /** POI名称 */
    @Excel(name = "POI名称")
    @ApiModelProperty(name = "POI名称", value = "POI名称")
    private String poiName;

    /** POI简介 */
    @Excel(name = "POI简介")
    @ApiModelProperty(name = "POI简介", value = "POI简介")
    private String poiIntro;

    /** POI分类 */
    @Excel(name = "POI分类")
    @ApiModelProperty(name = "POI分类", value = "POI分类")
    private String poiType;

    /** POI详情 */
    @Excel(name = "POI详情")
    @ApiModelProperty(name = "POI详情", value = "POI详情")
    private String poiDetail;

    /** POI状态:0=隐藏,1=正常,2=推荐 */
    @Excel(name = "POI状态:0=隐藏,1=正常,2=推荐")
    @ApiModelProperty(name = "POI状态:0=隐藏,1=正常,2=推荐", value = "POI状态:0=隐藏,1=正常,2=推荐")
    private String poiStatus;

    /** POI图标 */
    @Excel(name = "POI图标")
    @ApiModelProperty(name = "POI图标", value = "POI图标")
    private String poiIcon;

    /** PC图片 */
    @Excel(name = "PC图片")
    @ApiModelProperty(name = "PC图片", value = "PC图片")
    private String poiImgPcImage;

    /** POI图标 */
    @Excel(name = "POI图标")
    @ApiModelProperty(name = "POI图标", value = "POI图标")
    private String markerImage;

    /** 移动端图片 */
    @Excel(name = "移动端图片")
    @ApiModelProperty(name = "移动端图片", value = "移动端图片")
    private String poiImgMoblieImage;

    /** X坐标 */
    @Excel(name = "X坐标")
    @ApiModelProperty(name = "X坐标", value = "X坐标")
    private String coordinateX;

    /** Y坐标 */
    @Excel(name = "Y坐标")
    @ApiModelProperty(name = "Y坐标", value = "Y坐标")
    private String coordinateY;

    /** 后台的排序字段 */
    @Excel(name = "后台的排序字段")
    @ApiModelProperty(name = "后台的排序字段", value = "后台的排序字段")
    private Long weigh;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "添加时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(name = "添加时间", value = "添加时间")
    private Date createdTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(name = "更新时间", value = "更新时间")
    private Date updatedTime;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(name = "删除时间", value = "删除时间")
    private Date deletedTime;

    /** 预约状态:0=不可预约,1=可预约 */
    @Excel(name = "预约状态:0=不可预约,1=可预约")
    @ApiModelProperty(name = "预约状态:0=不可预约,1=可预约", value = "预约状态:0=不可预约,1=可预约")
    private String booktype;

    /** 音频 */
    @Excel(name = "音频")
    @ApiModelProperty(name = "音频", value = "音频")
    private String audioFile;

    /** 视频 */
    @Excel(name = "视频")
    @ApiModelProperty(name = "视频", value = "视频")
    private String videoFile;

    /** 关键词 */
    @Excel(name = "关键词")
    @ApiModelProperty(name = "关键词", value = "关键词")
    private String keywordsTags;

    /** Fid 列表 */
    @Excel(name = "Fid 列表")
    @ApiModelProperty(name = "Fid 列表", value = "Fid 列表")
    private String fidList;

    /** 门牌号(多个,隔开) */
    @Excel(name = "门牌号(多个,隔开)")
    @ApiModelProperty(name = "门牌号(多个,隔开)", value = "门牌号(多个,隔开)")
    private String door;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled2;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled3;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled4;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled5;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled6;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled7;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled8;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled9;

    /**
    * 查询构造器
    */
    public static PoiBookshelf queryBuild( PoiBookshelfQueryReq poiBookshelfQueryReq){
        return PoiBookshelf.builder()
                .fid(poiBookshelfQueryReq.getFid())
                .libraryId(poiBookshelfQueryReq.getLibraryId())
                .floorId(poiBookshelfQueryReq.getFloorId())
                .categoryId(poiBookshelfQueryReq.getCategoryId())
                .poiName(poiBookshelfQueryReq.getPoiName())
                .poiIntro(poiBookshelfQueryReq.getPoiIntro())
                .poiType(poiBookshelfQueryReq.getPoiType())
                .poiDetail(poiBookshelfQueryReq.getPoiDetail())
                .poiStatus(poiBookshelfQueryReq.getPoiStatus())
                .poiIcon(poiBookshelfQueryReq.getPoiIcon())
                .poiImgPcImage(poiBookshelfQueryReq.getPoiImgPcImage())
                .markerImage(poiBookshelfQueryReq.getMarkerImage())
                .poiImgMoblieImage(poiBookshelfQueryReq.getPoiImgMoblieImage())
                .coordinateX(poiBookshelfQueryReq.getCoordinateX())
                .coordinateY(poiBookshelfQueryReq.getCoordinateY())
                .weigh(poiBookshelfQueryReq.getWeigh())
                .createdTime(poiBookshelfQueryReq.getCreatedTime())
                .updatedTime(poiBookshelfQueryReq.getUpdatedTime())
                .deletedTime(poiBookshelfQueryReq.getDeletedTime())
                .booktype(poiBookshelfQueryReq.getBooktype())
                .audioFile(poiBookshelfQueryReq.getAudioFile())
                .videoFile(poiBookshelfQueryReq.getVideoFile())
                .keywordsTags(poiBookshelfQueryReq.getKeywordsTags())
                .fidList(poiBookshelfQueryReq.getFidList())
                .door(poiBookshelfQueryReq.getDoor())
                .extentFiled2(poiBookshelfQueryReq.getExtentFiled2())
                .extentFiled3(poiBookshelfQueryReq.getExtentFiled3())
                .extentFiled4(poiBookshelfQueryReq.getExtentFiled4())
                .extentFiled5(poiBookshelfQueryReq.getExtentFiled5())
                .extentFiled6(poiBookshelfQueryReq.getExtentFiled6())
                .extentFiled7(poiBookshelfQueryReq.getExtentFiled7())
                .extentFiled8(poiBookshelfQueryReq.getExtentFiled8())
                .extentFiled9(poiBookshelfQueryReq.getExtentFiled9())
                .build();
    }

    /**
    * 添加构造器
    */
    public static PoiBookshelf saveBuild(PoiBookshelfSaveReq poiBookshelfSaveReq){
        return PoiBookshelf.builder()
                .fid(poiBookshelfSaveReq.getFid())
                .libraryId(poiBookshelfSaveReq.getLibraryId())
                .floorId(poiBookshelfSaveReq.getFloorId())
                .categoryId(poiBookshelfSaveReq.getCategoryId())
                .poiName(poiBookshelfSaveReq.getPoiName())
                .poiIntro(poiBookshelfSaveReq.getPoiIntro())
                .poiType(poiBookshelfSaveReq.getPoiType())
                .poiDetail(poiBookshelfSaveReq.getPoiDetail())
                .poiStatus(poiBookshelfSaveReq.getPoiStatus())
                .poiIcon(poiBookshelfSaveReq.getPoiIcon())
                .poiImgPcImage(poiBookshelfSaveReq.getPoiImgPcImage())
                .markerImage(poiBookshelfSaveReq.getMarkerImage())
                .poiImgMoblieImage(poiBookshelfSaveReq.getPoiImgMoblieImage())
                .coordinateX(poiBookshelfSaveReq.getCoordinateX())
                .coordinateY(poiBookshelfSaveReq.getCoordinateY())
                .weigh(poiBookshelfSaveReq.getWeigh())
                .createdTime(poiBookshelfSaveReq.getCreatedTime())
                .updatedTime(poiBookshelfSaveReq.getUpdatedTime())
                .deletedTime(poiBookshelfSaveReq.getDeletedTime())
                .booktype(poiBookshelfSaveReq.getBooktype())
                .audioFile(poiBookshelfSaveReq.getAudioFile())
                .videoFile(poiBookshelfSaveReq.getVideoFile())
                .keywordsTags(poiBookshelfSaveReq.getKeywordsTags())
                .fidList(poiBookshelfSaveReq.getFidList())
                .door(poiBookshelfSaveReq.getDoor())
                .extentFiled2(poiBookshelfSaveReq.getExtentFiled2())
                .extentFiled3(poiBookshelfSaveReq.getExtentFiled3())
                .extentFiled4(poiBookshelfSaveReq.getExtentFiled4())
                .extentFiled5(poiBookshelfSaveReq.getExtentFiled5())
                .extentFiled6(poiBookshelfSaveReq.getExtentFiled6())
                .extentFiled7(poiBookshelfSaveReq.getExtentFiled7())
                .extentFiled8(poiBookshelfSaveReq.getExtentFiled8())
                .extentFiled9(poiBookshelfSaveReq.getExtentFiled9())
                .build();
    }

    /**
    * 修改构造器
    */
    public static PoiBookshelf editBuild(String poiId, PoiBookshelfEditReq poiBookshelfEditReq){
        return PoiBookshelf.builder()
            .poiId(poiId)
                .fid(poiBookshelfEditReq.getFid())
                .libraryId(poiBookshelfEditReq.getLibraryId())
                .floorId(poiBookshelfEditReq.getFloorId())
                .categoryId(poiBookshelfEditReq.getCategoryId())
                .poiName(poiBookshelfEditReq.getPoiName())
                .poiIntro(poiBookshelfEditReq.getPoiIntro())
                .poiType(poiBookshelfEditReq.getPoiType())
                .poiDetail(poiBookshelfEditReq.getPoiDetail())
                .poiStatus(poiBookshelfEditReq.getPoiStatus())
                .poiIcon(poiBookshelfEditReq.getPoiIcon())
                .poiImgPcImage(poiBookshelfEditReq.getPoiImgPcImage())
                .markerImage(poiBookshelfEditReq.getMarkerImage())
                .poiImgMoblieImage(poiBookshelfEditReq.getPoiImgMoblieImage())
                .coordinateX(poiBookshelfEditReq.getCoordinateX())
                .coordinateY(poiBookshelfEditReq.getCoordinateY())
                .weigh(poiBookshelfEditReq.getWeigh())
                .createdTime(poiBookshelfEditReq.getCreatedTime())
                .updatedTime(poiBookshelfEditReq.getUpdatedTime())
                .deletedTime(poiBookshelfEditReq.getDeletedTime())
                .booktype(poiBookshelfEditReq.getBooktype())
                .audioFile(poiBookshelfEditReq.getAudioFile())
                .videoFile(poiBookshelfEditReq.getVideoFile())
                .keywordsTags(poiBookshelfEditReq.getKeywordsTags())
                .fidList(poiBookshelfEditReq.getFidList())
                .door(poiBookshelfEditReq.getDoor())
                .extentFiled2(poiBookshelfEditReq.getExtentFiled2())
                .extentFiled3(poiBookshelfEditReq.getExtentFiled3())
                .extentFiled4(poiBookshelfEditReq.getExtentFiled4())
                .extentFiled5(poiBookshelfEditReq.getExtentFiled5())
                .extentFiled6(poiBookshelfEditReq.getExtentFiled6())
                .extentFiled7(poiBookshelfEditReq.getExtentFiled7())
                .extentFiled8(poiBookshelfEditReq.getExtentFiled8())
                .extentFiled9(poiBookshelfEditReq.getExtentFiled9())
                .build();
    }

}
