package com.ruoyi.poi.domain.req;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * POI信息对象 poi_bookshelf
 *
 * @author sun
 * @date 2025-01-03
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "PoiBookshelfEditReq", description = "POI信息")
public class PoiBookshelfEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 蜂鸟FID */
    @ApiModelProperty(name = "蜂鸟FID", value = "蜂鸟FID", required = true)
    private Long fid;

    /** 图书馆编号 */
    @ApiModelProperty(name = "图书馆编号", value = "图书馆编号")
    private Long libraryId;

    /** 楼层ID */
    @ApiModelProperty(name = "楼层ID", value = "楼层ID")
    private Long floorId;

    /** 分类ID */
    @ApiModelProperty(name = "分类ID", value = "分类ID")
    private Long categoryId;

    /** POI名称 */
    @ApiModelProperty(name = "POI名称", value = "POI名称")
    private String poiName;

    /** POI简介 */
    @ApiModelProperty(name = "POI简介", value = "POI简介")
    private String poiIntro;

    /** POI分类 */
    @ApiModelProperty(name = "POI分类", value = "POI分类")
    private String poiType;

    /** POI详情 */
    @ApiModelProperty(name = "POI详情", value = "POI详情")
    private String poiDetail;

    /** POI状态:0=隐藏,1=正常,2=推荐 */
    @ApiModelProperty(name = "POI状态:0=隐藏,1=正常,2=推荐", value = "POI状态:0=隐藏,1=正常,2=推荐")
    private String poiStatus;

    /** POI图标 */
    @ApiModelProperty(name = "POI图标", value = "POI图标")
    private String poiIcon;

    /** PC图片 */
    @ApiModelProperty(name = "PC图片", value = "PC图片")
    private String poiImgPcImage;

    /** POI图标 */
    @ApiModelProperty(name = "POI图标", value = "POI图标")
    private String markerImage;

    /** 移动端图片 */
    @ApiModelProperty(name = "移动端图片", value = "移动端图片")
    private String poiImgMoblieImage;

    /** X坐标 */
    @ApiModelProperty(name = "X坐标", value = "X坐标")
    private String coordinateX;

    /** Y坐标 */
    @ApiModelProperty(name = "Y坐标", value = "Y坐标")
    private String coordinateY;

    /** 后台的排序字段 */
    @ApiModelProperty(name = "后台的排序字段", value = "后台的排序字段")
    private Long weigh;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "添加时间", value = "添加时间")
    private Date createdTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "更新时间", value = "更新时间")
    private Date updatedTime;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "删除时间", value = "删除时间")
    private Date deletedTime;

    /** 预约状态:0=不可预约,1=可预约 */
    @ApiModelProperty(name = "预约状态:0=不可预约,1=可预约", value = "预约状态:0=不可预约,1=可预约")
    private String booktype;

    /** 音频 */
    @ApiModelProperty(name = "音频", value = "音频")
    private String audioFile;

    /** 视频 */
    @ApiModelProperty(name = "视频", value = "视频")
    private String videoFile;

    /** 关键词 */
    @ApiModelProperty(name = "关键词", value = "关键词")
    private String keywordsTags;

    /** Fid 列表 */
    @ApiModelProperty(name = "Fid 列表", value = "Fid 列表")
    private String fidList;

    /** 门牌号(多个,隔开) */
    @ApiModelProperty(name = "门牌号(多个,隔开)", value = "门牌号(多个,隔开)")
    private String door;

    /** $column.columnComment */
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled2;

    /** $column.columnComment */
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled3;

    /** $column.columnComment */
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled4;

    /** $column.columnComment */
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled5;

    /** $column.columnComment */
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled6;

    /** $column.columnComment */
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled7;

    /** $column.columnComment */
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled8;

    /** $column.columnComment */
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private String extentFiled9;

}
