package com.ruoyi.poi.domain.req;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * POI 分类对象 poi_category
 *
 * @author sun
 * @date 2025-01-03
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "PoiCategorySaveReq", description = "POI 分类")
public class PoiCategorySaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 分类ID */

    @ApiModelProperty(name = "分类ID", value = "分类ID")
    private String id;

    /** 分类名称 */

    @ApiModelProperty(name = "分类名称", value = "分类名称")
    private String name;

    /** 分类图片 */

    @ApiModelProperty(name = "分类图片", value = "分类图片")
    private String image;

    /** 状态:0=隐藏,1=正常,2=推荐 */

    @ApiModelProperty(name = "状态:0=隐藏,1=正常,2=推荐", value = "状态:0=隐藏,1=正常,2=推荐")
    private String status;

    /** 权重 */

    @ApiModelProperty(name = "权重", value = "权重")
    private Long weigh;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")

    @ApiModelProperty(name = "添加时间", value = "添加时间")
    private Date createdTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")

    @ApiModelProperty(name = "更新时间", value = "更新时间")
    private Date updatedTime;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")

    @ApiModelProperty(name = "删除时间", value = "删除时间")
    private Date deletedTime;

}
