package com.ruoyi.poi.service.impl;

import java.util.List;

import com.ruoyi.common.utils.ObjUtils;
import com.ruoyi.common.utils.StringUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.ruoyi.poi.mapper.PoiBookshelfMapper;
import com.ruoyi.poi.domain.PoiBookshelf;
import com.ruoyi.poi.service.PoiBookshelfService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * POI信息Service业务层处理
 *
 * @author sun
 * @date 2025-01-03
 */
@Slf4j
@Service
public class PoiBookshelfServiceImpl extends ServiceImpl<PoiBookshelfMapper, PoiBookshelf>  implements PoiBookshelfService {

    /**
     * 查询POI信息列表
     *
     * @param poiBookshelf POI信息
     * @return POI信息
     */
    @Override
    public List<PoiBookshelf> list(PoiBookshelf poiBookshelf) {
        LambdaQueryWrapper<PoiBookshelf> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(poiBookshelf.getFid())){
            queryWrapper.eq(PoiBookshelf::getFid, poiBookshelf.getFid());
        }

        if (ObjUtils.notNull(poiBookshelf.getLibraryId())){
            queryWrapper.eq(PoiBookshelf::getLibraryId, poiBookshelf.getLibraryId());
        }

        if (ObjUtils.notNull(poiBookshelf.getFloorId())){
            queryWrapper.eq(PoiBookshelf::getFloorId, poiBookshelf.getFloorId());
        }

        if (ObjUtils.notNull(poiBookshelf.getCategoryId())){
            queryWrapper.eq(PoiBookshelf::getCategoryId, poiBookshelf.getCategoryId());
        }

        if (ObjUtils.notNull(poiBookshelf.getPoiName())){
            queryWrapper.like(PoiBookshelf::getPoiName, poiBookshelf.getPoiName());
        }

        if (ObjUtils.notNull(poiBookshelf.getPoiIntro())){
            queryWrapper.eq(PoiBookshelf::getPoiIntro, poiBookshelf.getPoiIntro());
        }

        if (ObjUtils.notNull(poiBookshelf.getPoiType())){
            queryWrapper.eq(PoiBookshelf::getPoiType, poiBookshelf.getPoiType());
        }

        if (ObjUtils.notNull(poiBookshelf.getPoiDetail())){
            queryWrapper.eq(PoiBookshelf::getPoiDetail, poiBookshelf.getPoiDetail());
        }

        if (ObjUtils.notNull(poiBookshelf.getPoiStatus())){
            queryWrapper.eq(PoiBookshelf::getPoiStatus, poiBookshelf.getPoiStatus());
        }

        if (ObjUtils.notNull(poiBookshelf.getPoiIcon())){
            queryWrapper.eq(PoiBookshelf::getPoiIcon, poiBookshelf.getPoiIcon());
        }

        if (ObjUtils.notNull(poiBookshelf.getPoiImgPcImage())){
            queryWrapper.eq(PoiBookshelf::getPoiImgPcImage, poiBookshelf.getPoiImgPcImage());
        }

        if (ObjUtils.notNull(poiBookshelf.getMarkerImage())){
            queryWrapper.eq(PoiBookshelf::getMarkerImage, poiBookshelf.getMarkerImage());
        }

        if (ObjUtils.notNull(poiBookshelf.getPoiImgMoblieImage())){
            queryWrapper.eq(PoiBookshelf::getPoiImgMoblieImage, poiBookshelf.getPoiImgMoblieImage());
        }

        if (ObjUtils.notNull(poiBookshelf.getCoordinateX())){
            queryWrapper.eq(PoiBookshelf::getCoordinateX, poiBookshelf.getCoordinateX());
        }

        if (ObjUtils.notNull(poiBookshelf.getCoordinateY())){
            queryWrapper.eq(PoiBookshelf::getCoordinateY, poiBookshelf.getCoordinateY());
        }

        if (ObjUtils.notNull(poiBookshelf.getWeigh())){
            queryWrapper.eq(PoiBookshelf::getWeigh, poiBookshelf.getWeigh());
        }

        if (ObjUtils.notNull(poiBookshelf.getCreatedTime())){
            queryWrapper.eq(PoiBookshelf::getCreatedTime, poiBookshelf.getCreatedTime());
        }

        if (ObjUtils.notNull(poiBookshelf.getUpdatedTime())){
            queryWrapper.eq(PoiBookshelf::getUpdatedTime, poiBookshelf.getUpdatedTime());
        }

        if (ObjUtils.notNull(poiBookshelf.getDeletedTime())){
            queryWrapper.eq(PoiBookshelf::getDeletedTime, poiBookshelf.getDeletedTime());
        }

        if (ObjUtils.notNull(poiBookshelf.getBooktype())){
            queryWrapper.eq(PoiBookshelf::getBooktype, poiBookshelf.getBooktype());
        }

        if (ObjUtils.notNull(poiBookshelf.getAudioFile())){
            queryWrapper.eq(PoiBookshelf::getAudioFile, poiBookshelf.getAudioFile());
        }

        if (ObjUtils.notNull(poiBookshelf.getVideoFile())){
            queryWrapper.eq(PoiBookshelf::getVideoFile, poiBookshelf.getVideoFile());
        }

        if (ObjUtils.notNull(poiBookshelf.getKeywordsTags())){
            queryWrapper.eq(PoiBookshelf::getKeywordsTags, poiBookshelf.getKeywordsTags());
        }

        if (ObjUtils.notNull(poiBookshelf.getFidList())){
            queryWrapper.eq(PoiBookshelf::getFidList, poiBookshelf.getFidList());
        }

        if (ObjUtils.notNull(poiBookshelf.getDoor())){
            queryWrapper.eq(PoiBookshelf::getDoor, poiBookshelf.getDoor());
        }

        if (ObjUtils.notNull(poiBookshelf.getExtentFiled2())){
            queryWrapper.eq(PoiBookshelf::getExtentFiled2, poiBookshelf.getExtentFiled2());
        }

        if (ObjUtils.notNull(poiBookshelf.getExtentFiled3())){
            queryWrapper.eq(PoiBookshelf::getExtentFiled3, poiBookshelf.getExtentFiled3());
        }

        if (ObjUtils.notNull(poiBookshelf.getExtentFiled4())){
            queryWrapper.eq(PoiBookshelf::getExtentFiled4, poiBookshelf.getExtentFiled4());
        }

        if (ObjUtils.notNull(poiBookshelf.getExtentFiled5())){
            queryWrapper.eq(PoiBookshelf::getExtentFiled5, poiBookshelf.getExtentFiled5());
        }

        if (ObjUtils.notNull(poiBookshelf.getExtentFiled6())){
            queryWrapper.eq(PoiBookshelf::getExtentFiled6, poiBookshelf.getExtentFiled6());
        }

        if (ObjUtils.notNull(poiBookshelf.getExtentFiled7())){
            queryWrapper.eq(PoiBookshelf::getExtentFiled7, poiBookshelf.getExtentFiled7());
        }

        if (ObjUtils.notNull(poiBookshelf.getExtentFiled8())){
            queryWrapper.eq(PoiBookshelf::getExtentFiled8, poiBookshelf.getExtentFiled8());
        }

        if (ObjUtils.notNull(poiBookshelf.getExtentFiled9())){
            queryWrapper.eq(PoiBookshelf::getExtentFiled9, poiBookshelf.getExtentFiled9());
        }
        return list(queryWrapper);
    }
}
