package com.ruoyi.poi.service.impl;

import java.util.List;

import com.ruoyi.common.utils.ObjUtils;
import com.ruoyi.common.utils.StringUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.ruoyi.poi.mapper.PoiCategoryMapper;
import com.ruoyi.poi.domain.PoiCategory;
import com.ruoyi.poi.service.PoiCategoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * POI 分类Service业务层处理
 *
 * @author sun
 * @date 2025-01-03
 */
@Slf4j
@Service
public class PoiCategoryServiceImpl extends ServiceImpl<PoiCategoryMapper, PoiCategory> implements PoiCategoryService {

    /**
     * 查询POI 分类列表
     *
     * @param poiCategory POI 分类
     * @return POI 分类
     */
    @Override
    public List<PoiCategory> list(PoiCategory poiCategory) {
        LambdaQueryWrapper<PoiCategory> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(poiCategory.getName())) {
            queryWrapper.like(PoiCategory::getName, poiCategory.getName());
        }

        if (ObjUtils.notNull(poiCategory.getImage())) {
            queryWrapper.eq(PoiCategory::getImage, poiCategory.getImage());
        }

        if (ObjUtils.notNull(poiCategory.getStatus())) {
            queryWrapper.eq(PoiCategory::getStatus, poiCategory.getStatus());
        }

        if (ObjUtils.notNull(poiCategory.getWeigh())) {
            queryWrapper.eq(PoiCategory::getWeigh, poiCategory.getWeigh());
        }

        if (ObjUtils.notNull(poiCategory.getCreatedTime())) {
            queryWrapper.eq(PoiCategory::getCreatedTime, poiCategory.getCreatedTime());
        }

        if (ObjUtils.notNull(poiCategory.getUpdatedTime())) {
            queryWrapper.eq(PoiCategory::getUpdatedTime, poiCategory.getUpdatedTime());
        }

        if (ObjUtils.notNull(poiCategory.getDeletedTime())) {
            queryWrapper.eq(PoiCategory::getDeletedTime, poiCategory.getDeletedTime());
        }
        return list(queryWrapper);
    }


}
